package com.huigou.topsun.product.application.impl;

import com.huigou.cache.DictUtil;
import com.huigou.data.query.model.QueryDescriptor;
import com.huigou.data.query.model.QueryModel;
import com.huigou.topsun.product.application.SizeGroupApplication;
import com.huigou.topsun.product.domain.query.SizeGroupQueryRequest;
import com.huigou.topsun.product.repository.SizeGroupItemRepository;
import com.huigou.topsun.product.repository.SizeGroupRepository;
import com.huigou.uasp.bmp.common.application.BaseApplication;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * title:
 * author:ZHT
 * date:2023/12/8
 * description:
 */
@Service
public class SizeGroupApplicationImpl extends BaseApplication implements SizeGroupApplication {

    @Autowired
    private SizeGroupRepository sizeGroupRepository;

    @Autowired
    private SizeGroupItemRepository sizeGroupItemRepository;

    @Override
    public Map<String, Object> getSizeGroupList(SizeGroupQueryRequest queryRequest) {

        QueryDescriptor queryDescriptor = this.sqlExecutorDao.getQuery(QUERY_XML_FILE_PATH, "sizeGroup");
        QueryModel model = this.sqlExecutorDao.getQueryModel(queryDescriptor, queryRequest);

        model.putDictionary("sizeGroupType", DictUtil.getDictionary("sizeGroupType"));
        return this.sqlExecutorDao.executeSlicedQuery(model);
    }
}
